%global pypi_name openpyxl
%global sum Python library to read/write Excel 2010 xlsx/xlsm files
%global desc openpyxl is a Python library to read/write Excel 2010 xlsx/xlsm/xltx/xltm files.\
\
It was born from lack of existing library to read/write natively from Python the\
Office Open XML format.

Name:           python-%{pypi_name}
Version:        2.3.1
Release:        1%{?dist}
Summary:        %{sum}

License:        MIT and Python
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
%{desc}

%package -n     python2-%{pypi_name}
BuildRequires:  python2-devel
Requires:       python2-jdcal
Requires:       python2-et_xmlfile
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{desc}


%package -n     python3-%{pypi_name}
Summary:        %{sum}
BuildRequires:  python3-devel
Requires:       python3-jdcal
Requires:       python3-et_xmlfile
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{desc}


%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf *.egg-info


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


# No tests


%files -n python2-%{pypi_name}
%license LICENCE.rst
%doc README.rst AUTHORS.rst
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name}
%license LICENCE.rst
%doc README.rst AUTHORS.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}/

%changelog
* Sun Nov 22 2015 Julien Enselme <jujens@jujens.eu> - 2.3.1-1
- Update to 2.3.1
- Correct license
- Remove check section

* Mon Nov 9 2015 Julien Enselme <jujens@jujens.eu> - 2.3.0-1
- Inital package
